/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { FinancialChartDropDownControl } from "./FinancialChartDropDownControl";
import { FinancialChartTypePickerViewModel } from "./FinancialChartTypePickerViewModel";
import { FinancialChartTypePickerView } from "./FinancialChartTypePickerView";
import { runOn, markType } from "igniteui-react-core/ES2015/type";
export class FinancialChartTypePicker extends FinancialChartDropDownControl {
    constructor(a) {
        super("financialChartTypePicker", a, FinancialChartTypePicker.y);
        this.n = new FinancialChartTypePickerView();
        this.o = new FinancialChartTypePickerViewModel();
        this.o.onSelectionChanged = runOn(this, this.u);
        this.o.a = runOn(this.n, this.n.j);
        this.n.a = this.o;
    }
    get v() {
        return this.x.chartType;
    }
    set v(a) {
        this.x.chartType = a;
    }
    get w() {
        return this.n;
    }
    get x() {
        return this.o;
    }
    get_r() {
        return ".financialChartTypePickerDropDownButton";
    }
    get r() {
        return this.get_r();
    }
    get_s() {
        return ".financialChartTypePickerDropDownMenu";
    }
    get s() {
        return this.get_s();
    }
}
FinancialChartTypePicker.y = "<button class='financialChartTypePickerDropDownButton'></button>\n\t<div class='financialChartTypePickerDropDownMenu'>\n\t\t<ul>\n\t\t\t<li data-value='Auto'>Auto</li>\n\t\t\t<li data-value='Bar'>Bar</li>\n\t\t\t<li data-value='Line'>Line</li>\n\t\t\t<li data-value='Candle'>Candle</li>\n\t\t\t<li data-value='Column'>Column</li>\n\t\t</ul>\n\t</div>";
FinancialChartTypePicker.$t = markType(FinancialChartTypePicker, 'FinancialChartTypePicker', FinancialChartDropDownControl.$);
/*<BeginStatics Name="Infragistics.Controls.Charts.FinancialChartTypePicker" />*/
/*<EndStatics Name="Infragistics.Controls.Charts.FinancialChartTypePicker" />*/
